OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
script_info_dummy.cpp File Reference

Implementation of a dummy Script. More...

`#include "../stdafx.h"`
`#include <squirrel.h>`
`#include "../string_func.h"`
`#include "../strings_func.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
void | Script_CreateDummyInfo (HSQUIRRELVM vm, const char *type, const char *dir)
| Run the dummy info.nut.
void | Script_CreateDummy (HSQUIRRELVM vm, StringID string, const char *type)
| Run the dummy AI and let it generate an error message.

## Detailed Description

Implementation of a dummy Script.

Definition in file script_info_dummy.cpp.

## Function Documentation

void Script_CreateDummy | ( | HSQUIRRELVM | vm,
|  | StringID | string,
|  | const char * | type
| ) |  |

Run the dummy AI and let it generate an error message.

Definition at line 60 of file script_info_dummy.cpp.

References lastof, seprintf(), and strecpy().

void Script_CreateDummyInfo | ( | HSQUIRRELVM | vm,
|  | const char * | type,
|  | const char * | dir
| ) |  |

Run the dummy info.nut.

Definition at line 30 of file script_info_dummy.cpp.

References lastof, and seprintf().